<script setup lang="ts">

const props = defineProps({
	heading: {
		type: String,
		required: true
	},
	temperatureDeg: {
		type: Number,
		required: true
	},
	humidityFraction: {
		type: Number,
		required: true
	},
})

const temperatureMarkerLabelFn = (value: string) => value+"°C";
const humidityMarkerLabelFn = (value: string) => value+"%";

</script>

<template>
<QItem>
	<QItemSection>
		<QItemLabel class="text-uppercase">
			{{heading}}
		</QItemLabel>
	</QItemSection>
</QItem>
<QItem>
	<QItemSection>
		<QItemLabel>
			Temperatur
		</QItemLabel>
		<QSlider readonly class="q-mt-lg q-px-lg" color="orange"  :markers="4" :marker-labels="temperatureMarkerLabelFn" :min="20" :max="30" :model-value="temperatureDeg" />
	</QItemSection>
</QItem>
<QItem>
	<QItemSection>
		<QItemLabel>
			Luftfeuchte
		</QItemLabel>
		<QSlider readonly class="q-mt-lg q-px-lg" color="blue"  :markers="20" :marker-labels="humidityMarkerLabelFn" :min="0" :max="100" :model-value="humidityFraction * 100" />
	</QItemSection>
</QItem>

</template>

